Name: kdesdk
Version: 2.1.1
Release: 1a
Summary: KDE SDK
URL: http://www.kde.org/
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
Prereq: /sbin/ldconfig
Obsoletes: kbabel ktranslator kless
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Excludearch: sparc

%description
The KDE SDK

%package devel
Summary: Development files for %{name}
Group: Development/Libraries

%description devel
Development files (headers) for %{name}

%prep
%setup -q
# like libtoolize, but different
%ifarch s390 s390x
for file in config.sub config.guess ; do
  for place in `find . -type f -name $file` ; do
     cp -f /usr/share/libtool/$file $place
  done
done
%endif

make -f Makefile.cvs
unset QTDIR || :
. /etc/profile.d/qt.sh
perl -pi -e "s,share/kdedoc,share/doc/kdelibs-devel-2,g" scripts/kdedoc
FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" ./configure --prefix=/usr --mandir=%{_mandir}

%build
make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# fix dangling symbolic links
(
  mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
  cd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
  for i in kbabel ; do
    cd $i && ln -nfs ../common .
    cd ..
  done
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/kde2/*
/usr/lib/*.so.*
%{_mandir}/man1/cvs2pack.1*
%{_mandir}/man1/cvschanged.1*
%{_mandir}/man1/cvsversion.1*
%{_mandir}/man1/kde-build.1*
%{_mandir}/man1/noncvslist.1*
/usr/share/applnk/Development/kbabel.desktop
/usr/share/applnk/Development/kbabeldict.desktop
/usr/share/applnk/Utilities/kless.desktop
%dir /usr/share/apps/kbabel
/usr/share/apps/kbabel/*
%dir /usr/share/apps/kbabeldict
/usr/share/apps/kbabeldict/*
%dir /usr/share/apps/kmtrace
/usr/share/apps/kmtrace/*
%doc %dir /usr/share/doc/HTML/en/kbabel
%doc /usr/share/doc/HTML/en/kbabel/*
/usr/share/icons/hicolor/16x16/mimetypes/gettext.png
/usr/share/icons/hicolor/32x32/mimetypes/gettext.png
/usr/share/icons/hicolor/48x48/mimetypes/gettext.png
/usr/share/icons/locolor/16x16/apps/kbabel.png
/usr/share/icons/locolor/16x16/apps/kless.png
/usr/share/icons/locolor/16x16/mimetypes/gettext.png
/usr/share/icons/locolor/32x32/apps/kbabel.png
/usr/share/icons/locolor/32x32/apps/kless.png
/usr/share/icons/locolor/32x32/mimetypes/gettext.png
/usr/share/mimelnk/application/x-gettext.desktop

%files devel
%defattr(-,root,root)
%dir /usr/include/kbabel
/usr/include/kbabel/*
/usr/include/ktrace.h
/usr/lib/*.la
/usr/lib/*.so

%changelog
* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- ported to IBM zSeries (s390x, 64 bit)

* Tue Mar 20 2001 Than Ngo <than@redhat.com>
- update 2.1.1 release

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix kdedoc search path (#31998)
- Add minor fix to adddebug from KDE_2_1_BRANCH
- Minor spec file optimization (use %%post -p /sbin/ldconfig rather than
  %%post /sbin/ldconfig - saves the overhead of starting a shell)

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
